@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

:root{
    --primary-color : #60A5FA;
    --offwhite : #F3F4F6;
    --dark-gray : #4B5563;

}

body{
    font-family: 'Montserrat', sans-serif;
    margin: 0px;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
}

/* container */

.container{
    padding: 1rem 1rem;
}


.container-center{

    max-width: 600px;
    margin: auto;

}


/* links */

.link {
    box-sizing: border-box;
     text-decoration: none;
     padding: 0.5rem 1rem;
}


.link-primary{
    background-color: var(--primary-color);
    color: white;
    border-radius: 0.5rem;
}

.link-secondary{
    color: var(--primary-color);
    border-radius: 0.5rem;
    border: 1px solid var(--primary-color);
}


/* lists */

.non-bullet{
    list-style: none;
}

.list-item-inline{
    display: inline;
    padding: 0rem 0.5rem;
}

/* navigation */

.navigations{
    background-color: var(--primary-color);
    color: white; 
    border-bottom-left-radius: 1rem ;


}

.navigations .list-item-inline{
    padding: 0px;
}

.navigations .link{
    color: white;
}

.nav-pills{
    text-align: right;
}
.nav-brand{
    font-weight: bolder;
    font-size: 1.5rem;
}

.navigations .link-active {
    font-weight: bold;
}

/* Header */

.hero{
    padding: 2rem;
    
}


.hero-img{
    max-width: 300px;
    margin: auto;
    display: block;
}

.hero-heading{
    text-align: center;
    font-size: 1.75rem;
    color: var(--dark-gray);
}

.hero-heading-highlighted{
    color: var(--primary-color);
}

/* Sections */

.my-intro{
    margin-left: 2rem;
    margin-right: 2rem;
}

.my-intro p{
    text-align: justify;
    text-justify: inter-word;
}

.section{
    padding: 1rem;
    margin: 2rem;
}

.section h2{
    text-align: center;
    
}

.ow{
    background-color: var(--offwhite);
    padding: 1rem;
}


/* Footers */

.footer{
    background-color: var(--primary-color);
    padding: 2rem 1rem;
    text-align: center;
    color: white;
    border-top-right-radius: 1rem;
}

.footer-header{
    font-size: 1.25rem;
    font-weight: bold;
}

.footer .link{
    color: white;
    
    
}

.footer .list-item-inline{
    padding: 0rem 0.2rem;
}

.footer ul{
    padding-inline-start: 0px;
}

/* Project list */

.project-list{
    padding:1rem;
}




/* Blog Styling */


.blog-header-image{
    width: 100%;
    margin-bottom: .2rem
    ;
}

blockquote{
    text-align: center;
}

.blog-heading{
    color: var(--primary-color);
}

.blog-para{
  
    margin: .5rem;
    text-align: justify;
    text-justify: inter-word;
    
}
.blog-inner-para{
  
    margin: 1rem;
    text-align: justify;
    text-justify: inter-word;
    
}

.toc a{
     text-decoration: none;
     font-weight: bolder;
     padding: .2rem;
     line-height: 2rem;
}

.toc a:hover{
    border-bottom: 1.5px solid var(--primary-color);
    transition-delay: .1s;;
    
}

.toc a:active{
    color: white;
}


code{
    overflow-wrap: break-word;
}


.syntax-box{
    
    background-color:var(--primary-color);
    color: white;
    padding: 1rem;
    margin: 1rem;
    font-size: 1rem;
    border-radius: .8rem;
    box-shadow: 2px 2px 2px black;
    

}

.code-output{
    background-color:var(--primary-color);
    color: white;;
    padding: 1rem;
    margin: 1rem;
    border-radius: .8rem;
    box-shadow: 2px 2px 2px black;
}